LINUX.ORG.RU

WebKitGTK+ 2.20.0

 ,


1

3

Представлен выпуск новой стабильной ветки WebKitGTK+ 2.20.0, порта браузерного движка WebKit для платформы GTK+. Из известных проектов, использующих WebKitGTK+, можно отметить Midori и штатный браузер GNOME (Epiphany).

Изменения:

  • Новый API для извлечения и удаления Cookie при помощи WebKitCookieManage;
  • Новый API для определения, когда форма отправлена через JavaScript;
  • Поддержка семейства шрифтов «system» в CSS;
  • Ряд улучшений и исправлений в поддержке управления при помощи сенсорных экранов и экранных жестов;
  • Улучшена отрисовка сложной компоновки текста;
  • Добавлен режим энергосбережения;
  • Подготовлена более полная и соответствующая спецификации реализация API WebDriver.

>>> Подробности



Проверено: jollheef ()

Epiphany до сих пор хреново поддерживает HTML 5

Sunderland93 ★★★★★ ()

можно отметить Midori и штатный браузер GNOME (Epiphany).

И оба эталон ненужности.

Odalist ★★★★★ ()
Ответ на: комментарий от Odalist

Какой другой легковесный браузер для старых систем вместо Мидори посоветуете?

jklfds ()
Ответ на: комментарий от jklfds

uzbl, vimb, surf, NetSurf, dillo - выбирай любой.

anonymous ()
Ответ на: комментарий от Odalist

Эталон ненужности рассуждает об эталонах ненужности, ну вы видели.

meliafaro ★★ ()
Ответ на: комментарий от meliafaro

Щас «легковесный» давно уже используют в смысле «ни черта не умеет». Таки дела,..

mandala ★★★ ()
Ответ на: комментарий от mandala

Нет, ну судя по заявленному функционалу, он примерно на уровне Хромого - чисто веб-странички открывать, желательно без рекламы. Но я ещё не видел десктопного питоноподелия, которое бы не вызывало страданий яростными тормозами.

meliafaro ★★ ()
Ответ на: комментарий от meliafaro

Не могу сказать про него конкретно, т.к. я его запускал на четвертопне, а там щас любой браузер тупит. Так что не знаю...

mandala ★★★ ()
Ответ на: комментарий от meliafaro

которое бы не вызывало страданий яростными тормозами.

Странно, у меня они вызывали страдания не скоростью, а вылетанием с длинными стек-трейсами. Это каждый раз немного бесило: мало того, что не работает, как надо, так ещё и сообщить об ошибке не может. С тех пор у меня очень хреновое мнение обо всех пихтон-погромистах. Неужели времени изменились, и декстопные питон-прилады работают, просто тормозят??

DRVTiny ★★★★★ ()
Ответ на: комментарий от jklfds

Какой другой легковесный браузер для старых систем вместо Мидори посоветуете?

Surf, или links2. Для простого серфинга сойдет.

Odalist ★★★★★ ()
Ответ на: комментарий от Odalist

Нет, к сожалению, они не могут конкурировать с Мидори. Там нет поддержки JS, там нет поддержки ХТМЛ5. Сойдёт/не сойдёт - это кому как, слишком субъективно и разные задачи.

А вот полноценной замены Мидори я сейчас не вижу, чтобы и на древнем железа летал, и чтобы современные технологии более-менее поддерживал. И чтобы хоть как-то поддерживался/развивался. Разве что ещё uzbl. Но в Мидори, в отличие от uzbl, можно не только вим-подобно управлять всем с клавы, но и можно откинуться и тыкать только мышкой.

Я вот сейчас это пишу с древнего ноута начала века (пень М 1.6Ггц с 512Мб), зайдя на ЛОР с Мидори. Я так же могу проверить почту где угодно и листать любые современные страницы. Конечно, не 50 вкладок, но 2-3 держит с любого сайта. Есть встроенный блокировщик говна, который берёт списки у юБлока, поддерживает юзерСкрипты и юзерЦСС. А Хром и ФФ на этом железе - это запуск через пять минут, взлетающие от напряжения кулеры и слайдшоу на единственной вкладке вне зависимости от страницы.

jklfds ()
Ответ на: комментарий от Sunderland93

то то у меня одноклассники скручивает на нём, а жаль...

eR ★★★★★ ()
Ответ на: комментарий от jklfds

Я на старом ноуте palemoon использую, пока прокатывает. Мидори уж слишком падуч :(

bohm ★★★★★ ()
Ответ на: комментарий от bohm

Мне везёт, у меня Мидори не падает. Но я и использую его не на полную, а как быстрый поиск, запасной ридер новостей и иногда для форумов.

А Palemoon чуть более требователен, я к нему присматриваюсь, но пока он мне не нужен. Посмотрим, куда ФФ кривая заведёт.

jklfds ()

порта браузерного движка WebKit для платформы GTK+

вот сделали б движок гуенезависимым и довешивали б на него фронт-концы....

а то один вебкит, второй, третий...

samy_volosaty ★★★★★ ()
Ответ на: комментарий от DRVTiny

Неужели времени изменились, и декстопные питон-прилады работают, просто тормозят??

С чего бы это. Срут как и раньше. Только мало кто ими пользуется, все накушались уже.

anonymous ()
Ответ на: комментарий от meliafaro

Но я ещё не видел десктопного питоноподелия, которое бы не вызывало страданий яростными тормозами.

Вот странно это. Не припомню, чтобы гуйня на Tcl/Tk тормозила, а ведь Tcl - очень медленный интерпретатор. Нужно очень постараться, чтобы event-driven приложуха лагала. Там должно быть криво всё: и архитектура, и либы, и руки авторов. Но я верю в пистонов, они могут.

anonymous ()
Ответ на: комментарий от anonymous

Во-первых, Питухон объективно на редкость тормозной язык. Во-вторых, ничего Тк ничего сложнее гуя для скрипта на пару сотен строк не пишут, там тормоза на современном жылезе не ощущаюццо.

meliafaro ★★ ()
Ответ на: комментарий от meliafaro

Но я ещё не видел десктопного питоноподелия, которое бы не вызывало страданий яростными тормозами.

gajim - не замечал тормозов. firefox, хромые - это вот все тормозит да.

alwayslate ()
Ответ на: комментарий от alwayslate

Ну не знаю, Лиса бешено пуляет начиная с 57 версии. Отдельные особенно нашпигованные сайты да, могут тормозить.

meliafaro ★★ ()
Ответ на: комментарий от meliafaro

Ну не знаю, Лиса бешено пуляет начиная с 57 версии. Отдельные особенно нашпигованные сайты да, могут тормозить.

иногда зайдешь новости почитать и ... или какие то безумства всякие уеб-приложения ...

но я не утверждаю что питон based проекты все быстрые и хорошие, но, например, gajim сделан на python и сделан хорошо, так что ваше утверждение неверно. есть еще несколько, но они не гуевые - тоже работают и кушать не просят.

alwayslate ()
Ответ на: комментарий от jklfds

И чтобы хоть как-то поддерживался/развивался.

Судя по активности, он, похоже, всё. Или близок к этому. К большому сожалению, ибо у альтернатив действительно нет XHTML5.

ak398979 ()

Узнать бы, зачем WebKit сильно нужен MATE Atril и не нужен (опционален) GNOME Evince?

iZEN ★★★★★ ()
Ответ на: комментарий от ak398979

Вы о ком, о Мидори? Жаль, если так, но он и раньше не очень часто обновлялся.

Некоторое время назад слышал, что его планировали включить дефолтным браузером в крысу, вот это было бы кстати. И частота обновлений у них под стать друг другу.

jklfds ()
Ответ на: комментарий от jklfds

Вы о ком, о Мидори?

Да. Приятная вещь.

его планировали включить дефолтным браузером в крысу

Кстати, никогда не мог понять, что это конкретно означает. Включить в метапакет xfce?

А так в wiki и на сайте xfce он уже объявлен таковым. Можно сказать, официально. :)

ak398979 ()

СДЕЛАЛ свой браузер на webkit2gtk + wxpython. Все летает как надо. Гигантов типо фаирфокс и хрома, в топку

anonymous ()
Ответ на: комментарий от anonymous

СДЕЛАЛ свой браузер на webkit2gtk + wxpython. Все летает как надо. Гигантов типо фаирфокс и хрома, в топку

Здорово!

А не хотите midori попробовать поддерживать? Там, по идее, тоже всего лишь тонкий связующий слой для webkit'а и чего-то еще.

ak398979 ()
Ответ на: комментарий от ak398979

Альтернатив на сегодняшний день я не знаю. Будет обидно, если проект загнётся. Может, в составе xfce у него будет больше шансов на развитие.

jklfds ()
Ответ на: комментарий от jklfds

На сколько я понимаю, «быть в составе xfce» - достаточно формальная вещь. Все упирается в рабочие руки. Если на данный момент не появилось больше ни одного желающего заниматься midori (помимо текущих 1-2 разработчиков), то от включения «в состав xfce» эти самые руки не появятся. Так как xfce - это просто группа замечательных людей, каждый из которых уже взял себе что-то в работу, они уже все заняты. Там простенькие плагины годами пилятся, поэтому целый браузер никто не возьмет просто прицепом. Sad but true... :(

ak398979 ()
Ответ на: комментарий от jklfds

Альтернатив на сегодняшний день я не знаю.

Я тоже не смог найти. Не знаю, может плохо искал. Но «не полностью поддерживает XHTML5», как у одного чего-то (не помню сейчас) в 2018 году как-то слишком маргинально выглядит. Им-то сайты реального мира придется смотреть.

ak398979 ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.